Page MenuHomeMiraheze

Request for New Skin
Closed, DeclinedPublic

Description

I want to activate this skin on my wiki. and change Mobile Defult Skin with this.

Event Timeline

Ahmsaqib created this task.Nov 9 2018, 03:34
Ahmsaqib updated the task description. (Show Details)Nov 9 2018, 03:53
AmandaCath changed the task status from Open to Stalled.Nov 9 2018, 16:26

I’m not sure if this is possible as it is not a standard MediaWiki skin but rather a custom skin that an individual wiki created manually for themselves. As it does not appear to be maintained upstream, it likely is incompatible with Miraheze, but I’ll let the security reviewers have the final say @labster @Samwilson

Ahmsaqib added a comment.EditedNov 11 2018, 15:01

@AmandaCath Are they active now? their activity showing that, they didn't active recently.

Is there any other active security reviewer here?

This comment was removed by Ahmsaqib.
Corey added a subscriber: Corey.Dec 25 2018, 03:00

@AmandaCath, just because a skin was created by individual wiki specifically for use on their own site does not mean that that skin is incompatible with any other MediaWiki installation.

I've tested the skin on my own MediaWiki installation and it works perfectly fine, with the exception of some links in the header which are hardcoded to point to a non-MediaWiki site (https://scratch.mit.edu), however, those could easily be fixed to allow the header to be modified by a MediaWiki: message on-wiki.

John closed this task as Declined.Feb 4 2019, 00:12
John claimed this task.
John added a subscriber: John.

Wiki specific coding per above. Until that is fixed, this isn't going to be added.